package gui;

import java.util.*;
import javax.swing.table.*;

public class StatsTableModel extends DefaultTableModel
{
	public StatsTableModel()
	{
		setColumnIdentifiers(new String[] { "Statistic", "Value"} );
	}
	
	public void updateStatistics(Hashtable stats)
	{
		while(getRowCount()>0)
		{
			removeRow(0);
		}

		String name, value;
		Enumeration enum1 = stats.keys();
		Enumeration enum2 = stats.elements();
		while(enum1.hasMoreElements())
		{
			name = (String)enum1.nextElement();
			value = (String)enum2.nextElement();
			addRow(new Object[]{ name, value });
		}
	}

	public boolean isCellEditable(int row, int column)
	{
		return false;
	}
}
