package util;

public class ChemicalConcentration
{
	private String chemical;
	private double concentration;

	public ChemicalConcentration () { }

	public ChemicalConcentration (ChemicalConcentration cc)
	{
		chemical = cc.getChemical();
		concentration = cc.getConcentration();
	}

	public ChemicalConcentration (String p_chem) { chemical = p_chem; }

	public ChemicalConcentration (String p_chem, double p_conc)
	{
		chemical = p_chem;
		concentration = p_conc;
	}

	public String getChemical () { return new String(chemical); }

	public double getConcentration () { return concentration; }

	public void setChemical (String p_chem) { chemical = p_chem; }

	public void setConcentration (double p_conc) { concentration = p_conc; }

	public int compareTo(ChemicalConcentration conc)
	{
		if(!conc.getChemical().equals(chemical))
			return -2;
		if(conc.getConcentration() > concentration)
			return -1;
		else if (conc.getConcentration() < concentration)
			return 1;
		else
			return 0;
	}

	public String toString ()
	{
		return "(" + chemical.toString() + "," + concentration + ")";
	}
}
